//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $Workfile:     $
// $NoKeywords: $
//=============================================================================//

#if !defined( C_HLW_PLAYERLOCALDATA_H )
#define C_HLW_PLAYERLOCALDATA_H
#ifdef _WIN32
#pragma once
#endif


#include "dt_recv.h"
#include "hl_movedata.h"
#include "hl2wars/rts_shareddefs.h"

EXTERN_RECV_TABLE( DT_HLWLocal );


class C_HLWPlayerLocalData
{
public:
	DECLARE_PREDICTABLE();
	DECLARE_CLASS_NOBASE( C_HLWPlayerLocalData );
	DECLARE_EMBEDDED_NETWORKVAR();

	C_HLWPlayerLocalData();

	// selection
	int						m_iSelectionType;
	EHANDLE					m_hSelected;
	int                     m_iHighLightedUnit;
	int						m_iSelectedAbility;

	int						m_iLevelRTS;
	CHandle<C_AI_BaseNPC>	m_hSelectedUnits[MAXSELECTED];
	int						m_iNumSelected;
	int						m_iResources;
	
	bool					m_bShowProgressQueue;

	int m_nBehaviorButtonsState;
};


#endif // C_HLW_PLAYERLOCALDATA_H
